Data Ops

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Data Ops 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until

OpenAPI URL

https://data-ops.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - CheckClusterResourceSizeForDataOpsServiceCreate

1.1.1 - 1.1

post /v1/data-ops-services/clusters/{cluster_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Creation.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/clusters/{cluster_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.1.2 - 1.0

post /v1/data-ops-services/clusters/{cluster_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Creation.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/clusters/{cluster_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.2 - CheckClusterResourceSizeForDataOpsServiceUpdate

1.2.1 - 1.1

post /v1/data-ops-services/{data_ops_service_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Update.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.2.2 - 1.0

post /v1/data-ops-services/{data_ops_service_id}/validate-resources

Description

Validate Cluster Resource Size for Data Ops Service Update.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.3 - CheckDataOpsNameDuplication

1.3.1 - 1.1

get /v1/data-ops/{data_ops_name}/check-duplication

Description

check duplication controller

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_name
required
data ops name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

1.3.2 - 1.0

get /v1/data-ops/{data_ops_name}/check-duplication

Description

check duplication controller

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_name
required
data ops name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

1.4 - CheckDataOpsServiceNameDuplication

1.4.1 - 1.1

get /v1/data-ops-services/{data_ops_service_name}/check-duplication

Description

check duplication controller

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_name
required
data ops service name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

1.4.2 - 1.0

get /v1/data-ops-services/{data_ops_service_name}/check-duplication

Description

check duplication controller

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_name
required
data ops service name
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

1.5 - CreateDataOps

1.5.1 - 1.1

post /v1/data-ops

Description

create dataops

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ]
}

Example HTTP response

Response 202

1.5.2 - 1.0

post /v1/data-ops

Description

create dataops

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ]
}

Example HTTP response

Response 202

1.6 - CreateDataOpsService

1.6.1 - 1.1

post /v1/data-ops-services

Description

create dataops service

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "data_ops_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ],
    "worker_type": ""
}

Example HTTP response

Response 202

1.6.2 - 1.0

post /v1/data-ops-services

Description

create dataops service

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "data_ops_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ],
    "worker_type": ""
}

Example HTTP response

Response 202

1.7 - DeleteDataOps

1.7.1 - 1.1

delete /v1/data-ops/{data_ops_id}

Description

delete dataops v1

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 202

1.7.2 - 1.0

delete /v1/data-ops/{data_ops_id}

Description

delete dataops v1

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 202

1.8 - DeleteDataOpsService

1.8.1 - 1.1

delete /v1/data-ops-services/{data_ops_service_id}

Description

delete data ops service

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 202

1.8.2 - 1.0

delete /v1/data-ops-services/{data_ops_service_id}

Description

delete data ops service

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 202

1.9 - ListDataOps

1.9.1 - 1.1

get /v1/data-ops

Description

{aianalytics.GetDataOpsListConsole.notes} v1.1

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycluster_name
optional
cluster_name
Example :
stringNone
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
queryversion
optional
version
Example :
stringNone
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querycluster_id
optional
cluster_id
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone
queryregion
optional
region
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsConsoleResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:30.704Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "image_id": "",
            "instance_id": "",
            "is_active_image": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:30.710Z",
            "namespace_name": "",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.9.2 - 1.0

get /v1/data-ops

Description

{aianalytics.GetDataOpsListConsole.notes}

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycluster_name
optional
cluster_name
Example :
stringNone
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
queryversion
optional
version
Example :
stringNone
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querycluster_id
optional
cluster_id
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone
queryregion
optional
region
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsConsoleResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:29.993Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "image_id": "",
            "instance_id": "",
            "is_active_image": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:30.000Z",
            "namespace_name": "",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.10 - ListDataOpsImageVersions

1.10.1 - 1.1

get /v1/data-ops/image-versions

Description

get dataops image version v1

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_attr": {
                "k8s.version": "",
                "os.type": ""
            },
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.10.2 - 1.0

get /v1/data-ops/image-versions

Description

get dataops image version v1

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_attr": {
                "k8s.version": "",
                "os.type": ""
            },
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.11 - ListDataOpsIngressControllers

1.11.1 - 1.1

get /v1/data-ops/clusters/{cluster_id}/ingress-controllers

Description

get ingress controller list

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/clusters/{cluster_id}/ingress-controllers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

1.11.2 - 1.0

get /v1/data-ops/clusters/{cluster_id}/ingress-controllers

Description

get ingress controller list

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/clusters/{cluster_id}/ingress-controllers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

1.12 - ListDataOpsService

1.12.1 - 1.1

get /v1/data-ops-services

Description

GetDataOpsServiceListConsole v1.1

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querydata_ops_service_name
optional
data_ops_service_name
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsServicesConsoleResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:30.741Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "data_ops_service_id": "",
            "data_ops_service_name": "",
            "description": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:30.747Z",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.12.2 - 1.0

get /v1/data-ops-services

Description

GetDataOpsServiceListConsole

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querydata_ops_service_name
optional
data_ops_service_name
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsServicesConsoleResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:30.089Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "data_ops_service_id": "",
            "data_ops_service_name": "",
            "description": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:30.095Z",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.13 - ShowDataOps

1.13.1 - 1.1

get /v1/data-ops/{data_ops_id}

Description

get dataops detail v1.1

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "account_id": "",
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:30.871Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2026-02-11T06:41:30.927Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.13.2 - 1.0

get /v1/data-ops/{data_ops_id}

Description

get dataops detail

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:30.482Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2026-02-11T06:41:30.537Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.14 - ShowDataOpsService

1.14.1 - 1.1

get /v1/data-ops-services/{data_ops_service_id}

Description

get data ops service v1.1

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "account_id": "",
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:30.772Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2026-02-11T06:41:30.828Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.14.2 - 1.0

get /v1/data-ops-services/{data_ops_service_id}

Description

get data ops service

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:30.212Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2026-02-11T06:41:30.267Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.15 - ShowDataOpsServiceSubVersion

1.15.1 - 1.1

get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Description

get data ops sub version

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceImageResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Example HTTP response

Response 200

{
    "data_ops_service_count": "",
    "versions": {
        "scheduler": "",
        "webserver": "",
        "worker": ""
    }
}

1.15.2 - 1.0

get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Description

get data ops sub version

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataOpsServiceImageResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "data_ops_service_count": "",
    "versions": {
        "scheduler": "",
        "webserver": "",
        "worker": ""
    }
}

1.16 - UpdateDataOps

1.16.1 - 1.1

put /v1/data-ops/{data_ops_id}

Description

update dataops v1

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "node_selector": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:30.617Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2026-02-11T06:41:30.665Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.16.2 - 1.0

put /v1/data-ops/{data_ops_id}

Description

update dataops v1

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_id
required
data ops ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops/{data_ops_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "node_selector": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:30.617Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2026-02-11T06:41:30.665Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.17 - UpdateDataOpsService

1.17.1 - 1.1

put /v1/data-ops-services/{data_ops_service_id}

Description

update data ops service

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "worker_type": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:30.347Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2026-02-11T06:41:30.395Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.17.2 - 1.0

put /v1/data-ops-services/{data_ops_service_id}

Description

update data ops service

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "worker_type": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:30.347Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2026-02-11T06:41:30.395Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

2 - Models

2.1 - ClusterResourceCheckResponse

NameDescriptionSchemaDefault
cpu
optional

Example : CPU
objectCPU
err_code
required
Error code
Example :
string
memory
optional

Example : Memory
objectMemory
result
required
Cluster resource check result
Example :
boolean

2.2 - DataOpsConsoleResponse

NameDescriptionSchemaDefault
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
object
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_by
required
created_by
Example :
string
created_dt
required
created_at
Example : 2026-02-11T06:41:29.993Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
image_id
required
image_id
Example :
string
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
required
is_active_image
Example :
boolean
modified_by
required
modified_by
Example :
string
modified_dt
required
modified_at
Example : 2026-02-11T06:41:30.000Z
string (date-time)
namespace_name
required
namespace_name
Example :
string
state
required
state
Example :
string
version
required
version
Example :
string

2.3 - DataOpsConsoleResponseV1Dot1

NameDescriptionSchemaDefault
account_id
required
account_id
Example :
string
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
object
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_by
required
created_by
Example :
string
created_dt
required
created_at
Example : 2026-02-11T06:41:30.704Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
image_id
required
image_id
Example :
string
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
required
is_active_image
Example :
boolean
modified_by
required
modified_by
Example :
string
modified_dt
required
modified_at
Example : 2026-02-11T06:41:30.710Z
string (date-time)
namespace_name
required
namespace_name
Example :
string
state
required
state
Example :
string
version
required
version
Example :
string

2.4 - DataOpsCreateRequest

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
data_ops_name
required
data_ops_name
Example :
Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$
Minimum length : 3
Maximum length : 30
string
description
optional
description
Example :
any of [string, null]
domain
required
domain
Example :
Minimum length : 3
Maximum length : 50
string
dsc_domain
optional
dsc_domain
Example :
any of [string, null]
host_alias_list
required
host_alias_list
Example : [{'hostnames': [''], 'ip': ''}]
array[object]
image_id
required
image_id
Example :
string
ingress_controller_name
required
ingress_controller_name
Example :
string
instance_id
optional
instance_id
Example :
any of [string, null]
node_selector
optional
node_selector
Example :
any of [string, null]
storage_class_name
required
storage_class_name
Example :
string
tags
optional
tags
array[Tag]

2.5 - DataOpsDetailResponse

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_dt
required
created_dt
Example : 2026-02-11T06:41:30.482Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias_list
optional
host_alias
Example : [{'hostnames': [''], 'ip': ''}]
any of [array[object], null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
optional
is_active_image
Example :
any of [boolean, null]
modified_dt
required
modified_dt
Example : 2026-02-11T06:41:30.537Z
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url
optional
web_url
Example :
any of [string, null]

2.6 - DataOpsDetailResponseV1Dot1

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
account_id
required
account_id
Example :
string
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_dt
required
created_dt
Example : 2026-02-11T06:41:30.871Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias_list
optional
host_alias
Example : [{'hostnames': [''], 'ip': ''}]
any of [array[object], null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
optional
is_active_image
Example :
any of [boolean, null]
modified_dt
required
modified_dt
Example : 2026-02-11T06:41:30.927Z
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url
optional
web_url
Example :
any of [string, null]

2.7 - DataOpsServiceCreateRequest

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
data_ops_id
required
data_ops_id
Example :
string
data_ops_service_name
required
data_ops_service_name
Example :
Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$
Minimum length : 3
Maximum length : 30
string
description
optional
description
Example :
any of [string, null]
domain
required
description
Example :
Minimum length : 3
Maximum length : 50
string
host_alias
required
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
object
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
required
service_workload
Example : {'scheduler': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'web_server': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'worker': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}}
object
storage_class_name
required
storage_class_name
Example :
string
tags
optional
tags
array[Tag]
worker_type
required
worker_type
Example :
string

2.8 - DataOpsServiceDetailResponse

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_dt
required
created_dt
Example : 2026-02-11T06:41:30.212Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
data_ops_service_id
required
data_ops_service_id
Example :
string
data_ops_service_name
required
data_ops_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias
optional
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
any of [object, null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
optional
is_active_image
Example :
any of [boolean, null]
modified_dt
required
modified_dt
Example : 2026-02-11T06:41:30.267Z
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
optional
service_workload
Example :
any of [object, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url
optional
web_url
Example :
any of [string, null]

2.9 - DataOpsServiceDetailResponseV1Dot1

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
account_id
required
account_id
Example :
string
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_dt
required
created_dt
Example : 2026-02-11T06:41:30.772Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
data_ops_service_id
required
data_ops_service_id
Example :
string
data_ops_service_name
required
data_ops_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias
optional
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
any of [object, null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
optional
is_active_image
Example :
any of [boolean, null]
modified_dt
required
modified_dt
Example : 2026-02-11T06:41:30.828Z
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
optional
service_workload
Example :
any of [object, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url
optional
web_url
Example :
any of [string, null]

2.10 - DataOpsServiceImageResponse

NameDescriptionSchemaDefault
data_ops_service_count
optional
DataOpsService count
Example :
integer
versions
optional
image versions
DataOpsServiceSubVersionResponse

2.11 - DataOpsServicesConsoleResponse

NameDescriptionSchemaDefault
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_by
required
created_by
Example :
string
created_dt
required
created_at
Example : 2026-02-11T06:41:30.089Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
data_ops_service_id
required
data_ops_service_id
Example :
string
data_ops_service_name
required
data_ops_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
modified_by
required
modified_by
Example :
string
modified_dt
required
modified_at
Example : 2026-02-11T06:41:30.095Z
string (date-time)
state
required
state
Example :
string
version
required
version
Example :
string

2.12 - DataOpsServicesConsoleResponseV1Dot1

NameDescriptionSchemaDefault
account_id
required
account_id
Example :
string
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_by
required
created_by
Example :
string
created_dt
required
created_at
Example : 2026-02-11T06:41:30.741Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
data_ops_service_id
required
data_ops_service_id
Example :
string
data_ops_service_name
required
data_ops_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
modified_by
required
modified_by
Example :
string
modified_dt
required
modified_at
Example : 2026-02-11T06:41:30.747Z
string (date-time)
state
required
state
Example :
string
version
required
version
Example :
string

2.13 - DataOpsServiceSubVersionResponse

NameDescriptionSchemaDefault
scheduler
required
scheduler
Example :
string
webserver
required
webserver
Example :
string
worker
required
worker
Example :
string

2.14 - DataOpsServiceUpdateRequest

NameDescriptionSchemaDefault
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias
optional
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
any of [object, null]
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
optional
service_workload
Example : {'scheduler': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'web_server': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'worker': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}}
object
worker_type
optional
worker_type
Example :
string

2.15 - DataOpsServiceUpdateResponse

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_dt
required
created_dt
Example : 2026-02-11T06:41:30.347Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
data_ops_service_id
required
data_ops_service_id
Example :
string
data_ops_service_name
required
data_ops_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias
optional
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
any of [object, null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
modified_dt
required
modified_dt
Example : 2026-02-11T06:41:30.395Z
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
optional
service_workload
Example :
any of [object, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url
optional
web_url
Example :
any of [string, null]

2.16 - DataOpsServiceValidateResourceRequest

NameDescriptionSchemaDefault
service_workload
required
service_workload
Example : {'scheduler': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'web_server': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}, 'worker': {'cpu': '', 'memory': '', 'replica': '', 'version': ''}}
object

2.17 - DataOpsUpdateRequest

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias_list
optional
host_alias
Example : [{'hostnames': [''], 'ip': ''}]
any of [array[object], null]
node_selector
optional
node_selector
Example :
any of [string, null]

2.18 - DataOpsUpdateResponse

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_dt
required
created_dt
Example : 2026-02-11T06:41:30.617Z
string (date-time)
data_ops_id
required
data_ops_id
Example :
string
data_ops_name
required
data_ops_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias_list
optional
host_alias
Example : [{'hostnames': [''], 'ip': ''}]
any of [array[object], null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
modified_dt
required
modified_dt
Example : 2026-02-11T06:41:30.665Z
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url
optional
web_url
Example :
any of [string, null]

2.19 - ImageAttr

NameDescriptionSchemaDefault
image_attr
required
image_attr
QuickQueryImageAttr
image_id
required
image_id
Example :
string
image_name
required
image_name
Example :
string
version
required
version
Example :
string

2.20 - ImageVersionsResponse

NameDescriptionSchemaDefault
contents
required
contents
array[ImageAttr]
total_count
required
total_count
Example :
integer

2.21 - ListDataOpsConsoleResponse

NameDescriptionSchemaDefault
contents
optional

array[DataOpsConsoleResponse]
total_count
required
total_count
Example :
integer

2.22 - ListDataOpsConsoleResponseV1Dot1

NameDescriptionSchemaDefault
contents
optional

array[DataOpsConsoleResponseV1Dot1]
total_count
required
total_count
Example :
integer

2.23 - ListDataOpsServicesConsoleResponse

NameDescriptionSchemaDefault
contents
optional

array[DataOpsServicesConsoleResponse]
total_count
required
total_count
Example :
integer

2.24 - ListDataOpsServicesConsoleResponseV1Dot1

NameDescriptionSchemaDefault
contents
optional

array[DataOpsServicesConsoleResponseV1Dot1]
total_count
required
total_count
Example :
integer

2.25 - QuickQueryImageAttr

NameDescriptionSchemaDefault
k8s.version
optional
k8s_version
Example :
string
os.type
optional
os_type
Example :
string

2.26 - Tag

NameDescriptionSchemaDefault
tag_key
required
tag_key
Example :
Pattern : ^[a-zA-Z0-9가-힣ㄱ-ㅎㅏ-ㅣ \+\-\=\.\_:/@]*$
Maximum length : 128
string
tag_value
optional
tag_value
Example :
Pattern : ^[a-zA-Z0-9가-힣ㄱ-ㅎㅏ-ㅣ \+\-\=\.\_:/@]*$
Maximum length : 256
string